Update a gig role invitation
Partial update: only the fields sent change.
Path Parameters
- Type: stringFormat: uuididrequired
Gig role invitation id.
Body·
required
application/json
Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.
- Type: string | nullemail
Sent At - Type: string | nullFormat: uuidgig
Role Id References gigRoles.id.
- Type: string | nullnotes
- Type: string | nullFormat: uuidstaff
Member Id References staffMembers.id.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/gig-role-invitations/{id}
curl https://api.weddingoperatingsystems.com/api/v1/gig-role-invitations/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"gigRoleId": null,
"staffMemberId": null,
"emailSentAt": null,
"notes": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"gigRoleId": null,
"staffMemberId": null,
"invitationNumber": null,
"invitedAt": null,
"emailSentAt": null,
"respondedAt": null,
"response": null,
"notes": null,
"createdTime": "2026-09-30T06:22:05.753Z",
"lastEditedTime": "2026-09-30T06:22:05.753Z"
}
}